Bug 1550641 - Report Menus Editor: Selected node in the tree is not displayed as selected inside editor, tree should be disabled during edit [NEEDINFO]
Summary: Report Menus Editor: Selected node in the tree is not displayed as selected i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Dávid Halász
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-01 16:52 UTC by Harpreet Kataria
Modified: 2019-02-07 23:01 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:17 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:
dclarizi: needinfo? (hkataria)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:24 UTC

Description Harpreet Kataria 2018-03-01 16:52:59 UTC
Description of problem: Selected node in the tree is not displayed as selected inside editor, Tree should remain disabled until "Commit/Discard" button is pressed.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Go To Reports Explorer
2. Change to go to "Edit Report Menus" accordion
3. select a group to edit menus for, in the right cell, select a folder node, Node should be selected while user is trying to edit, Folders/Reports underneath the selected folder. Also the tree with folder structure should remain disabled until user pressed Commit or Discard buttons.

Actual results: Folder is not selected, making it difficult for the user to tell which Folder is being edited, and tree is not disabled while Folder/Reports are being edited.


Expected results: select a folder node, Node should be selected while user is trying to edit, Folders/Reports underneath the selected folder. Also the tree with folder structure should remain disabled until user pressed Commit or Discard buttons.


Additional info:

Comment 4 CFME Bot 2018-04-24 13:49:55 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/756aed54ab3ee539ebd0511420a17a9b730d860c
commit 756aed54ab3ee539ebd0511420a17a9b730d860c
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Mon Apr 23 06:58:27 2018 -0400
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Mon Apr 23 06:58:27 2018 -0400

    Fixed disabled report editor treeview styling regression

    https://bugzilla.redhat.com/show_bug.cgi?id=1550641

 app/assets/stylesheets/patternfly_overrides.scss | 3 +-
 1 file changed, 1 insertion(+), 2 deletions(-)

Comment 7 CFME Bot 2018-05-14 13:33:35 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/d236b76024592cdf3fc488e6aa7da8333f89367a
commit d236b76024592cdf3fc488e6aa7da8333f89367a
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Fri May  4 07:56:59 2018 -0400
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Fri May  4 07:56:59 2018 -0400

    Display what is being edited in the report menu editor

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1550641

 app/controllers/report_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 8 Niyaz Akhtar Ansari 2018-07-25 12:01:44 UTC
Verified in Version 5.10.0.4.20180712211305_e6e4542

Comment 9 errata-xmlrpc 2019-02-07 23:01:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.